<div class="front_page_section front_page_section_googlemap<?php
	$pantry_scheme = pantry_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! empty( $pantry_scheme ) && ! pantry_is_inherit( $pantry_scheme ) ) {
		echo ' scheme_' . esc_attr( $pantry_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( pantry_get_theme_option( 'front_page_googlemap_paddings' ) );
	if ( pantry_get_theme_option( 'front_page_googlemap_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$pantry_css      = '';
		$pantry_bg_image = pantry_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $pantry_bg_image ) ) {
			$pantry_css .= 'background-image: url(' . esc_url( pantry_get_attachment_url( $pantry_bg_image ) ) . ');';
		}
		if ( ! empty( $pantry_css ) ) {
			echo ' style="' . esc_attr( $pantry_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$pantry_anchor_icon = pantry_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$pantry_anchor_text = pantry_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $pantry_anchor_icon ) || ! empty( $pantry_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $pantry_anchor_icon ) ? ' icon="' . esc_attr( $pantry_anchor_icon ) . '"' : '' )
									. ( ! empty( $pantry_anchor_text ) ? ' title="' . esc_attr( $pantry_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
		<?php
		$pantry_layout = pantry_get_theme_option( 'front_page_googlemap_layout' );
		echo ' front_page_section_layout_' . esc_attr( $pantry_layout );
		if ( pantry_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
			echo ' pantry-full-height sc_layouts_flex sc_layouts_columns_middle';
		}
		?>
		"
			<?php
			$pantry_css      = '';
			$pantry_bg_mask  = pantry_get_theme_option( 'front_page_googlemap_bg_mask' );
			$pantry_bg_color_type = pantry_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $pantry_bg_color_type ) {
				$pantry_bg_color = pantry_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $pantry_bg_color_type ) {
				$pantry_bg_color = pantry_get_scheme_color( 'bg_color', $pantry_scheme );
			} else {
				$pantry_bg_color = '';
			}
			if ( ! empty( $pantry_bg_color ) && $pantry_bg_mask > 0 ) {
				$pantry_css .= 'background-color: ' . esc_attr(
					1 == $pantry_bg_mask ? $pantry_bg_color : pantry_hex2rgba( $pantry_bg_color, $pantry_bg_mask )
				) . ';';
			}
			if ( ! empty( $pantry_css ) ) {
				echo ' style="' . esc_attr( $pantry_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
		if ( 'fullwidth' != $pantry_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$pantry_caption     = pantry_get_theme_option( 'front_page_googlemap_caption' );
			$pantry_description = pantry_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $pantry_caption ) || ! empty( $pantry_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $pantry_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $pantry_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $pantry_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $pantry_caption, 'pantry_kses_content' );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $pantry_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $pantry_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $pantry_description ), 'pantry_kses_content' );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $pantry_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$pantry_content = pantry_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $pantry_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $pantry_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $pantry_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $pantry_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $pantry_content, 'pantry_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $pantry_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $pantry_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
				<?php
				if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! pantry_exists_trx_addons() ) {
						pantry_customizer_need_trx_addons_message();
					} else {
						pantry_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
					}
				}
				?>
			</div>
			<?php

			if ( 'columns' == $pantry_layout && ( ! empty( $pantry_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
